<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__prepare__write__request__memory__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_prepare_write_request_memory_t</compoundname>
    <includes local="no">cy_ble_stack_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__prepare__write__request__memory__t_1a421f2f3d00bd6f88b03e936bbb95a6f5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_prepare_write_request_memory_t::queueBuffer</definition>
        <argsstring />
        <name>queueBuffer</name>
        <briefdescription>
<para>buffer to which a prepared write queue request will be stored. </para>        </briefdescription>
        <detaileddescription>
<para>The buffer can be calculated as: total buffer = totalAttrValueLength<itemizedlist>
<listitem><para>prepareWriteQueueSize * sizeof (<ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref>) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="520" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="520" />
      </memberdef>
      <memberdef id="structcy__stc__ble__prepare__write__request__memory__t_1a869b65817f77f9b8a99f87502b9ab0fd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_prepare_write_request_memory_t::totalAttrValueLength</definition>
        <argsstring />
        <name>totalAttrValueLength</name>
        <briefdescription>
<para>length of attribute value in bytes. </para>        </briefdescription>
        <detaileddescription>
<para>This value can be the maximum attribute value length or sum of value lengths that support a long write. The value should be multiple of a 32-bit unsigned integer. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="525" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="525" />
      </memberdef>
      <memberdef id="structcy__stc__ble__prepare__write__request__memory__t_1a349e294781f3cf13fa9a1ec1202a9a91" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_prepare_write_request_memory_t::prepareWriteQueueSize</definition>
        <argsstring />
        <name>prepareWriteQueueSize</name>
        <briefdescription>
<para>Size of queueBuffer buffer. </para>        </briefdescription>
        <detaileddescription>
<para>The application may decide the size based on (totalAttrValueLength) /(negotiated or default MTU size - 5). In case of a reliable write, queue depth should at least be equal to number of handles that have reliable write support. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="531" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="531" />
      </memberdef>
      <memberdef id="structcy__stc__ble__prepare__write__request__memory__t_1ac1dfb0a8ea40faa5f4674f94fda8f842" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_prepare_write_request_memory_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="534" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="534" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>memory request parameters for prepare write request </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1119">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1118">
        <label>cy_stc_ble_prepare_write_request_memory_t</label>
        <link refid="structcy__stc__ble__prepare__write__request__memory__t" />
        <childnode refid="1119" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="536" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="515" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="516" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__prepare__write__request__memory__t_1ac1dfb0a8ea40faa5f4674f94fda8f842" virt="non-virtual"><scope>cy_stc_ble_prepare_write_request_memory_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__prepare__write__request__memory__t_1a349e294781f3cf13fa9a1ec1202a9a91" virt="non-virtual"><scope>cy_stc_ble_prepare_write_request_memory_t</scope><name>prepareWriteQueueSize</name></member>
      <member prot="public" refid="structcy__stc__ble__prepare__write__request__memory__t_1a421f2f3d00bd6f88b03e936bbb95a6f5" virt="non-virtual"><scope>cy_stc_ble_prepare_write_request_memory_t</scope><name>queueBuffer</name></member>
      <member prot="public" refid="structcy__stc__ble__prepare__write__request__memory__t_1a869b65817f77f9b8a99f87502b9ab0fd" virt="non-virtual"><scope>cy_stc_ble_prepare_write_request_memory_t</scope><name>totalAttrValueLength</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>